# Created by pyp2rpm-3.3.1
%global pypi_name setuptools-scm-git-archive
%global srcname setuptools_scm_git_archive

Name:           python-%{pypi_name}
Version:        1.1
Release:        %mkrel 5
Summary:        setuptools_scm plugin for git archives
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-scm-git-archive
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%prep
%autosetup -n setuptools_scm_git_archive-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/setuptools_scm_git_archive/
%{python3_sitelib}/setuptools_scm_git_archive-*-py%{python3_version}.egg-info/


%changelog
* Fri Dec 08 2023 wally <wally> 1.1-5.mga10
+ Revision: 2015613
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.1-4.mga9
+ Revision: 1824738
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.1-3.mga9
+ Revision: 1774489
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.1-2.mga9
+ Revision: 1703290
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.1-1.mga8
+ Revision: 1644572
- new version 1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0-5.mga8
+ Revision: 1531362
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 1.0-4.mga8
+ Revision: 1439647
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.0-3.mga7
+ Revision: 1351020
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1290022
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.0-1.mga7
+ Revision: 1226606
- imported package python-setuptools-scm-git-archive

